(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      4711,        132]
NotebookOptionsPosition[      4279,        111]
NotebookOutlinePosition[      4617,        126]
CellTagsIndexPosition[      4574,        123]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<6RpP4y\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"s", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickStepper\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"s", "@", 
   RowBox[{"SetMotorCurrent", "[", "800", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{"800", "mA"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"s", "@", 
   RowBox[{"SetStepMode", "[", "8", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"1", "/", "8"}], " ", "step", " ", "mode"}], " ", "*)"}]}], "\n", 

 RowBox[{
  RowBox[{"s", "@", 
   RowBox[{"SetMaxVelocity", "[", "2000", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{"Velocity", " ", "2000", " ", 
    RowBox[{"steps", "/", "s"}]}], " ", "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Slow", " ", "acceleration", " ", 
     RowBox[{"(", 
      RowBox[{"500", " ", 
       RowBox[{"steps", "/", 
        RowBox[{"s", "^", "2"}]}]}], ")"}]}], ","}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Fast", " ", "deacceleration", " ", 
    RowBox[{"(", 
     RowBox[{"5000", " ", 
      RowBox[{"steps", "/", 
       RowBox[{"s", "^", "2"}]}]}], ")"}]}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"s", "@", 
   RowBox[{"SetSpeedRamping", "[", 
    RowBox[{"500", ",", "5000"}], "]"}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{"s", "@", 
  RowBox[{"Enable", "[", "]"}]}], "\n", 
 RowBox[{
  RowBox[{"s", "@", 
   RowBox[{"SetSteps", "[", "60000", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{"Drive", " ", "60000", " ", "steps", " ", "forward"}], " ", "*)"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "s", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVtIk3EYBvAZwzLFBDcTNUnTuhiKOb0ZohMvtHAWKXPgYDKzPnFNUTwg
KZ6QmLXlp+jWmriLMRQ8VuRxEMpAYWK21hqWXubH3IVsxcBD/+d/8fKDB57n
TVM3Pam/wuPx7pCDe6rTPNM+V5yjzs2HeplPBTOPXWr45WLkOSw7nG6Bvx5L
OmC6qIiF/Ejveyj2iy1wIVX48h1x2NZKffbWM0ANctTGZat/ihi78vkEHppi
QnBSw/2DclZ5Bv/8YKj3J+zpVuSp5gyoTeSLYChLng2ZMi4fOs1h6u/JbhY2
O0pHYfVNU8kG/pd4K2CpZVcOcw+UCjiu0xVsEmUje4VQG7rN28HesuoGNOnr
EuCn86hEePWF5CfzjfSqBT64U7TOQc3Sd6rz+upYI5ELOMxQ5L9mg8yR0Q6l
4c4aC7Hgo/QpNNxLaobdzCOqpK28DW4raqnRxr9f4dRrpwfO3NXFnhBvBWfj
YEqHRQD73fHJMHu9QQ97eucNkC9Ys0KpcHgLdl1+cEO31kX1Dj6sDBBfPYio
ggfTQwOQFWjewDm2fRQudvVR/wOc/0iw
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{227, Automatic}, {87, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 3270, 83, 539, "Input"]
}
]
*)

