(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      3709,        100]
NotebookOptionsPosition[      3434,         86]
NotebookOutlinePosition[      3772,        101]
CellTagsIndexPosition[      3729,         98]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, {3.6006856839510727`*^9, 3.600685684190543*^9}}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<amb\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"ai", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickletAnalogIn\>\"", ",", "uid", ",", "ipcon"}],
    "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Get", " ", "current", " ", "voltage", " ", 
    RowBox[{"(", 
     RowBox[{"unit", " ", "is", " ", "mV"}], ")"}]}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Voltage: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"N", "[", 
      RowBox[{"Quantity", "[", 
       RowBox[{
        RowBox[{"ai", "@", 
         RowBox[{"GetVoltage", "[", "]"}]}], ",", "\"\<mV\>\""}], "]"}], 
      "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ai", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzTtIQgEYBWAJ6U0tPSRCTAoHKUqTQCQNBx2yokGFBMNeFzKTQmrIqc3C
0qI0U3QQaYsosihBAiHBsCIzyWysizVEFkJF99zh54MD5/wthtnhiRIGg9FM
HUzqP7rdN2Rfp0EggnZVRg/bXhMGGP1zTEFlbm8OZofEC5DLlzohszS9C4V5
oRfus+uXdihXgvO0k+upZdpPknY6HMj7KWtOjt9gzl1dgD4j+Q3VTt0PfLkn
aLu2Q9wAcranFZpYTD4stKs7IKEkRTDmKdI++axOaI4oNqCm0S0/x395egAq
vFdqKHjUaeGWzSa5oFQ5kr3QVOAw4tgL62uh2z7WAI9+K1iwbEb8QNxSPU1d
BsalZyQ0HtzRxipPN6cpyfeIB/Lz5UFIPLtCUFZcHPFSSg5l43CN12SGVmKQ
Vmzpt8BL7ShtlevrGvpXYylIEllOlJLbk+DBfwdGBCM=
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{335, Automatic}, {55, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 628, 11, 55, "Input"],
Cell[1188, 33, 2242, 51, 363, "Input"]
}
]
*)

(* End of internal cache information *)

