(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      5037,        133]
NotebookOptionsPosition[      4605,        112]
NotebookOutlinePosition[      4943,        127]
CellTagsIndexPosition[      4900,        124]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<cmN\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"iqr", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletIndustrialQuadRelay\>\"", ",", "uid", ",", 
    "ipcon"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Turn", " ", "relays", " ", "alternating", " ", 
    RowBox[{"on", "/", "off"}], " ", "for", " ", "10", " ", "times", " ", 
    "with", " ", "100", " ", "ms", " ", "delay"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "0"}], ",", 
    RowBox[{"i", "<", "10"}], ",", 
    RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "iqr", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVsow2EYBvAlMYe4cUpyGHIx5ribJZsoLpxyMcpqa07/MrOcC1fuRg4j
zGxIS7hwyGliJZqmaMhpMa7Ev3EhI4V8z3fx9qunnueNUzaV13pxOJw4ctAh
f8/Sn7O5acoMIRwodsph4suJEu7/DdfDwoeFZnhfJuqAPL5YB719bqZgpjvT
CFeiQ7sniX3mFmrd0FUv9YOlNmzPumeIQZatV/igD/RAk4r9glKd7Ac+XzPU
9PF53izyaEMCVEd486EnRSqATCErhDbDN9Vl6tFBjbVgBFaE6/P28D/vpgQW
GE+lMONOVgnHtNrsA2LxsCMHqj2xnGPsbcuDoX6gOgxu/PpFQN9G0S1zQXoV
IU54LN5loWrtkmrz3xltILJvVgPku7lmyDxOzEPJd2eVkZi9LqmBg0mRGtjD
lFJFbUVt0F6poAZMfJ7BmX7bFZxObp87IjrPVxehSra+DMVLLmpriG0TPnnJ
LdQWxSG8nFNTefl/UXaitUsWA7mC1Hhoj5VQ/wGCMDQS
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{333, Automatic}, {53, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 3596, 84, 561, "Input"]
}
]
*)

