(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      4060,        111]
NotebookOptionsPosition[      3628,         90]
NotebookOutlinePosition[      3966,        105]
CellTagsIndexPosition[      3923,        102]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<gfdd\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"t", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickletTilt\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Get", " ", "current", " ", "tilt", " ", "state"}], " ", 
   "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"tiltState", "=", 
   RowBox[{"t", "@", 
    RowBox[{"GetTiltState", "[", "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"tiltState", "==", "BrickletTilt`TILTUSTATEUCLOSED"}], ",", 
   RowBox[{"Print", "[", "\"\<closed\>\"", "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"tiltState", "==", "BrickletTilt`TILTUSTATEUOPEN"}], ",", 
   RowBox[{"Print", "[", "\"\<open\>\"", "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"tiltState", "==", "BrickletTilt`TILTUSTATEUCLOSEDUVIBRATING"}], 
    ",", 
    RowBox[{"Print", "[", "\"\<closed vibrating\>\"", "]"}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "t", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU0ogwEcBvCFfMfFx1IWi6hFbFzWsmmH7WBoh21lNW0+3hrzuTiYi9to
bITXbG1lLTeJfISSWlnRkGGNOfI2DmO0Qt7nPfz71VPP86/UDyl701gsVjl9
MKRLNJHXVGuDnt8MbYqIDla/Xujh6Z+9H8pjm6PwsVM4Abk8sQNmZN6vQ0Fc
4IJbnOKpNdpZ3xhj30J4hvGTYjTue+Me2oKDvTcYI/OT0D1AfUOVQ/sDX+4I
xsYVP9eLnOOsgiZ2Bg8m61T1kJBTzTDgTDE+uS0OOHwiW4TqUlJ6jP/S+3Yo
c12qID+q1cBlq1V0Rquwh1qgKVnBCmJvX1cISZuhBO7+5rBh1qDwgbihe+qi
CAyKjyg4sH3LGMg9XDLSUu8nTsiLZ/sg8bzqh5LUZJeLVrQj6YHzNWXD0EJ0
MArNbWZ4rulmzFv9uoKeuUAYbkwblHHaxMiHDkbTSQLWjh8Z4T+zgg7h
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{315, Automatic}, {70, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 2619, 62, 451, "Input"]
}
]
*)

